package fr.bluedragon.mediecraft.init;


import fr.bluedragon.mediecraft.blocks.BlockMod;
import net.minecraft.block.Block;
import net.minecraft.block.material.Material;
import net.minecraft.client.renderer.block.model.ModelResourceLocation;
import net.minecraft.item.Item;
import net.minecraft.item.ItemBlock;
import net.minecraftforge.client.event.ModelRegistryEvent;
import net.minecraftforge.client.model.ModelLoader;
import net.minecraftforge.event.RegistryEvent;
import net.minecraftforge.fml.common.Mod;
import fr.bluedragon.mediecraft.References;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;


@Mod.EventBusSubscriber(modid = References.MODID)
public class BlocksMod
{
    public static Block ruby_block;

    public static void init()
    {
        ruby_block = new BlockMod("ruby_block", Material.ROCK);
    }
    @SubscribeEvent
    public static void registerBlocks(RegistryEvent.Register<Block> event)
    {
        event.getRegistry().registerAll(ruby_block);
    }
    @SubscribeEvent
    public static void registerItemBlock(RegistryEvent.Register<Item> event)
    {
        event.getRegistry().registerAll(
                new ItemBlock(ruby_block).setRegistryName(ruby_block.getRegistryName()));
    }
    @SubscribeEvent
    public static void registerRenders(ModelRegistryEvent event)
    {
        registerRender(Item.getItemFromBlock(ruby_block));
    }

    private static void registerRender(Item item)
    {
        ModelLoader.setCustomModelResourceLocation(item,0, new ModelResourceLocation(item.getRegistryName(), "inventory"));
    }

}
